%define module Text-CSV_XS
%define name perl-%{module}
%define version 0.52
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Comma-separated values manipulation routines
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Text/%{module}-%{version}.tgz
Buildrequires: perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Text-CSV_XS is a Perl module that provides facilities for the composition
and decomposition of comma-separated values.  An instance of the Text::CSV
class can combine fields into a CSV string and parse a CSV string into
fields.

%prep 
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc MANIFEST ChangeLog README
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*



%changelog
* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2009.0
+ Revision: 233434
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.31-2mdv2008.1
+ Revision: 151406
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2008.0
+ Revision: 55844
- update to new version 0.31

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2008.0
+ Revision: 46698
- update to new version 0.30

* Thu Jun 28 2007 Olivier Thauvin <nanardon@mandriva.org> 0.29-1mdv2008.0
+ Revision: 45434
- 0.29

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.23-11mdv2008.0
+ Revision: 23804
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.23-10mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.23-9mdk
- Fix Previous mistake

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.23-8mdk
- Fix url 
- remove -q 
- Fix BuildRequires
- %%mkrel

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.23-7mdk
- Rebuild for new perl

* Sat Oct 11 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.23-6mdk
- rebuild for new perl
- add Artistic into License tag
- remove $RPM_OPT_FLAGS and PREFIX
- some macrosfification and cosmetic spec changes

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.23-5mdk
- rebuild for new auto{prov,req}

